# Public API - **OpenAPI Version:** `3.1.1` - **API Version:** `1.0.0` ## Operations ### POST /api/v1/agents - **Method:** `POST` - **Path:** `/api/v1/agents` - **Tags:** Agents Creates a new agent. #### Request Body ##### Content-Type: application/json - **`codeRuntime` (required)** `boolean` — Whether the agent should be able to execute JavaScript code using the Code Runtime tool. - **`internalName` (required)** `string | null` — The internal name of the agent. For internal use only. - **`iterations` (required)** `number` — The number of iterations (steps) the agent can execute in a single execution. - **`llm` (required)** `string`, possible values: `"claude-haiku-4-5", "claude-opus-4-6", "claude-opus-4-5", "claude-sonnet-4-6", "claude-sonnet-4-5", "gpt-5.2", "gpt-5.4", "gemini-2.5-flash", "gemini-2.5-pro", "gemini-3-flash", "gemini-3-pro", "gemini-3.1-pro", "kimi-k2.5"` — The LLM model key to use for the agent. - **`llmProviderId` (required)** `string | null`, format: `uuid` — The id of the LLM provider to use for the agent. - **`name` (required)** `string` — The name of the agent. - **`picture` (required)** `string | null` — The picture of the agent. - **`planning` (required)** `boolean` — Whether the agent should plan before each execution. - **`prompt` (required)** `string` — The main description of the agent's behavior. - **`reasoningMode` (required)** `string | null`, possible values: `"low", "medium", "high", null` — The reasoning mode to use for the agent. If null, reasoning will be disabled. - **`role` (required)** `string` — The role of the agent. Particularly useful to give other agents context of what the agent does. - **`temperature` (required)** `number` — The temperature to use for the agent. The lower the more deterministic. The higher the more creative. - **`timezone` (required)** `string | null`, possible values: `"Africa/Cairo", "Africa/Johannesburg", "America/Chicago", "America/Denver", "America/Los_Angeles", "America/New_York", "America/Sao_Paulo", "America/Manaus", "Asia/Dubai", "Asia/Kolkata", "Asia/Shanghai", "Asia/Singapore", "Asia/Tokyo", "Australia/Sydney", "Europe/Berlin", "Europe/London", "Europe/Moscow", "Europe/Paris", "Pacific/Auckland", "Pacific/Auckland2", "UTC", "auto", null` — The timezone to use for the agent. If null, no timezone will be used. **Example:** ```json { "codeRuntime": true, "internalName": null, "iterations": 2, "llm": "claude-haiku-4-5", "llmProviderId": null, "name": "", "picture": null, "planning": true, "prompt": "", "reasoningMode": "low", "role": "", "temperature": 0, "timezone": "Africa/Cairo" } ``` #### Responses ##### Status: 200 The agent was created. ###### Content-Type: application/json - **`codeRuntime` (required)** `boolean` — Whether the agent should be able to execute JavaScript code using the Code Runtime tool. - **`createdAt` (required)** `string`, format: `date-time` - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`internalName` (required)** `string | null` — The internal name of the agent. For internal use only. - **`isRemoved` (required)** `boolean` - **`iterations` (required)** `number` — The number of iterations (steps) the agent can execute in a single execution. - **`llm` (required)** `string`, possible values: `"claude-haiku-4-5", "claude-opus-4-6", "claude-opus-4-5", "claude-sonnet-4-6", "claude-sonnet-4-5", "gpt-5.2", "gpt-5.4", "gemini-2.5-flash", "gemini-2.5-pro", "gemini-3-flash", "gemini-3-pro", "gemini-3.1-pro", "kimi-k2.5"` — The LLM model key to use for the agent. - **`llmProviderId` (required)** `string | null`, format: `uuid` — The id of the LLM provider to use for the agent. - **`name` (required)** `string` — The name of the agent. - **`picture` (required)** `string | null` — The picture of the agent. - **`planning` (required)** `boolean` — Whether the agent should plan before each execution. - **`prompt` (required)** `string` — The main description of the agent's behavior. - **`reasoningMode` (required)** `string | null`, possible values: `"low", "medium", "high", null` — The reasoning mode to use for the agent. If null, reasoning will be disabled. - **`referenceId` (required)** `string | null`, format: `uuid` — A UUID v4 string that identifies an entity. - **`role` (required)** `string` — The role of the agent. Particularly useful to give other agents context of what the agent does. - **`superIdentityId` (required)** `string`, format: `uuid` — The super identity ID associated with the agent. - **`temperature` (required)** `number` — The temperature to use for the agent. The lower the more deterministic. The higher the more creative. - **`timezone` (required)** `string | null`, possible values: `"Africa/Cairo", "Africa/Johannesburg", "America/Chicago", "America/Denver", "America/Los_Angeles", "America/New_York", "America/Sao_Paulo", "America/Manaus", "Asia/Dubai", "Asia/Kolkata", "Asia/Shanghai", "Asia/Singapore", "Asia/Tokyo", "Australia/Sydney", "Europe/Berlin", "Europe/London", "Europe/Moscow", "Europe/Paris", "Pacific/Auckland", "Pacific/Auckland2", "UTC", "auto", null` — The timezone to use for the agent. If null, no timezone will be used. - **`toolCount` (required)** `integer` — The number of tools currently associated with the agent. - **`updatedAt` (required)** `string`, format: `date-time` - **`versionId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`voiceId` (required)** `string | null`, format: `uuid` — The TTS voice to use for audio responses. Null when disabled for the agent. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the agent. **Example:** ```json { "createdAt": "", "id": "", "isRemoved": true, "referenceId": null, "updatedAt": "", "versionId": "", "codeRuntime": true, "internalName": null, "iterations": 2, "llm": "claude-haiku-4-5", "llmProviderId": null, "name": "", "picture": null, "planning": true, "prompt": "", "reasoningMode": "low", "role": "", "superIdentityId": "", "temperature": 0, "timezone": "Africa/Cairo", "toolCount": 0, "voiceId": null, "workspaceId": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 403 Plan limit exceeded. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### GET /api/v1/agents - **Method:** `GET` - **Path:** `/api/v1/agents` - **Tags:** Agents Retrieves multiple agents. #### Responses ##### Status: 200 Retrieves all agents for the workspace. ###### Content-Type: application/json **Array of:** **Any of:** - **`codeRuntime` (required)** `boolean` — Whether the agent should be able to execute JavaScript code using the Code Runtime tool. - **`createdAt` (required)** `string`, format: `date-time` - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`internalName` (required)** `string | null` — The internal name of the agent. For internal use only. - **`isRemoved` (required)** `boolean` - **`iterations` (required)** `number` — The number of iterations (steps) the agent can execute in a single execution. - **`llm` (required)** `string`, possible values: `"claude-haiku-4-5", "claude-opus-4-6", "claude-opus-4-5", "claude-sonnet-4-6", "claude-sonnet-4-5", "gpt-5.2", "gpt-5.4", "gemini-2.5-flash", "gemini-2.5-pro", "gemini-3-flash", "gemini-3-pro", "gemini-3.1-pro", "kimi-k2.5"` — The LLM model key to use for the agent. - **`llmProviderId` (required)** `string | null`, format: `uuid` — The id of the LLM provider to use for the agent. - **`name` (required)** `string` — The name of the agent. - **`picture` (required)** `string | null` — The picture of the agent. - **`planning` (required)** `boolean` — Whether the agent should plan before each execution. - **`prompt` (required)** `string` — The main description of the agent's behavior. - **`reasoningMode` (required)** `string | null`, possible values: `"low", "medium", "high", null` — The reasoning mode to use for the agent. If null, reasoning will be disabled. - **`referenceId` (required)** `string | null`, format: `uuid` — A UUID v4 string that identifies an entity. - **`role` (required)** `string` — The role of the agent. Particularly useful to give other agents context of what the agent does. - **`squadAgents` (required)** `array` **Items:** - **`agentId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`createdAt` (required)** `string`, format: `date-time` - **`squad` (required)** `object` - **`createdAt` (required)** `string`, format: `date-time` - **`description` (required)** `string | null` — The internal description of the squad. - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`isRemoved` (required)** `boolean` - **`mode` (required)** `string`, possible values: `"hierarchical", "flat"` — The management mode. In flat, agents redirect the chat to one another. In hierarchical, all iterations are intermediated by the manager. - **`name` (required)** `string` — The display name of the squad. - **`picture` (required)** `string | null` — The picture associated with the squad. - **`referenceId` (required)** `string | null`, format: `uuid` — A UUID v4 string that identifies an entity. - **`superIdentityId` (required)** `string`, format: `uuid` — The super identity ID associated with the squad. - **`updatedAt` (required)** `string`, format: `date-time` - **`versionId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the squad. - **`squadId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`type` (required)** `string`, possible values: `"member", "main"` - **`updatedAt` (required)** `string`, format: `date-time` - **`superIdentityId` (required)** `string`, format: `uuid` — The super identity ID associated with the agent. - **`temperature` (required)** `number` — The temperature to use for the agent. The lower the more deterministic. The higher the more creative. - **`timezone` (required)** `string | null`, possible values: `"Africa/Cairo", "Africa/Johannesburg", "America/Chicago", "America/Denver", "America/Los_Angeles", "America/New_York", "America/Sao_Paulo", "America/Manaus", "Asia/Dubai", "Asia/Kolkata", "Asia/Shanghai", "Asia/Singapore", "Asia/Tokyo", "Australia/Sydney", "Europe/Berlin", "Europe/London", "Europe/Moscow", "Europe/Paris", "Pacific/Auckland", "Pacific/Auckland2", "UTC", "auto", null` — The timezone to use for the agent. If null, no timezone will be used. - **`toolCount` (required)** `integer` — The number of tools currently associated with the agent. - **`updatedAt` (required)** `string`, format: `date-time` - **`versionId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`voiceId` (required)** `string | null`, format: `uuid` — The TTS voice to use for audio responses. Null when disabled for the agent. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the agent. * **`codeRuntime` (required)** `boolean` — Whether the agent should be able to execute JavaScript code using the Code Runtime tool. * **`createdAt` (required)** `string`, format: `date-time` * **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. * **`internalName` (required)** `string | null` — The internal name of the agent. For internal use only. * **`isRemoved` (required)** `boolean` * **`iterations` (required)** `number` — The number of iterations (steps) the agent can execute in a single execution. * **`llm` (required)** `string`, possible values: `"claude-haiku-4-5", "claude-opus-4-6", "claude-opus-4-5", "claude-sonnet-4-6", "claude-sonnet-4-5", "gpt-5.2", "gpt-5.4", "gemini-2.5-flash", "gemini-2.5-pro", "gemini-3-flash", "gemini-3-pro", "gemini-3.1-pro", "kimi-k2.5"` — The LLM model key to use for the agent. * **`llmProviderId` (required)** `string | null`, format: `uuid` — The id of the LLM provider to use for the agent. * **`name` (required)** `string` — The name of the agent. * **`picture` (required)** `string | null` — The picture of the agent. * **`planning` (required)** `boolean` — Whether the agent should plan before each execution. * **`prompt` (required)** `string` — The main description of the agent's behavior. * **`reasoningMode` (required)** `string | null`, possible values: `"low", "medium", "high", null` — The reasoning mode to use for the agent. If null, reasoning will be disabled. * **`referenceId` (required)** `string | null`, format: `uuid` — A UUID v4 string that identifies an entity. * **`role` (required)** `string` — The role of the agent. Particularly useful to give other agents context of what the agent does. * **`superIdentityId` (required)** `string`, format: `uuid` — The super identity ID associated with the agent. * **`temperature` (required)** `number` — The temperature to use for the agent. The lower the more deterministic. The higher the more creative. * **`timezone` (required)** `string | null`, possible values: `"Africa/Cairo", "Africa/Johannesburg", "America/Chicago", "America/Denver", "America/Los_Angeles", "America/New_York", "America/Sao_Paulo", "America/Manaus", "Asia/Dubai", "Asia/Kolkata", "Asia/Shanghai", "Asia/Singapore", "Asia/Tokyo", "Australia/Sydney", "Europe/Berlin", "Europe/London", "Europe/Moscow", "Europe/Paris", "Pacific/Auckland", "Pacific/Auckland2", "UTC", "auto", null` — The timezone to use for the agent. If null, no timezone will be used. * **`toolCount` (required)** `integer` — The number of tools currently associated with the agent. * **`updatedAt` (required)** `string`, format: `date-time` * **`versionId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. * **`voiceId` (required)** `string | null`, format: `uuid` — The TTS voice to use for audio responses. Null when disabled for the agent. * **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the agent. **Example:** ```json [ { "createdAt": "", "id": "", "isRemoved": true, "referenceId": null, "updatedAt": "", "versionId": "", "codeRuntime": true, "internalName": null, "iterations": 2, "llm": "claude-haiku-4-5", "llmProviderId": null, "name": "", "picture": null, "planning": true, "prompt": "", "reasoningMode": "low", "role": "", "superIdentityId": "", "temperature": 0, "timezone": "Africa/Cairo", "toolCount": 0, "voiceId": null, "workspaceId": "", "squadAgents": [ { "createdAt": "", "updatedAt": "", "agentId": "", "squadId": "", "type": "member", "squad": { "createdAt": "", "id": "", "isRemoved": true, "referenceId": null, "updatedAt": "", "versionId": "", "description": null, "mode": "hierarchical", "name": "", "picture": null, "superIdentityId": "", "workspaceId": "" } } ] } ] ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### POST /api/v1/agents/{agentId}/mcps - **Method:** `POST` - **Path:** `/api/v1/agents/{agentId}/mcps` - **Tags:** Agents Creates a new MCP or attaches an existing one to an agent. #### Request Body ##### Content-Type: application/json **Any of:** - **`mcp` (required)** `object` - **`connectionId` (required)** `string | null`, format: `uuid` — The id of the connection the MCP will be used through. - **`description` (required)** `string | null` — The internal description of the MCP. - **`detail` (required)** `object` - **`tools` (required)** `array` **Items:** `string` - **`type` (required)** `string`, possible values: `"composio-gmail", "composio-google-calendar", "composio-notion", "composio-airtable", "composio-bannerbear", "composio-browser-tool", "composio-browseai", "composio-calendly", "composio-google-maps", "composio-google-meet", "composio-google-sheets", "composio-google-tasks", "composio-github", "composio-hubspot", "composio-linear", "composio-linkedin", "composio-mixpanel", "composio-slack", "composio-shopify", "composio-teams", "composio-stripe", "composio-supabase", "composio-tavily", "composio-twitter"` - **`name` (required)** `string` — The display name of the MCP. * **`mcpId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. **Example:** ```json { "mcp": { "connectionId": null, "description": null, "detail": { "tools": [ "" ], "type": "composio-gmail" }, "name": "" } } ``` #### Responses ##### Status: 200 The MCP was created or linked to the agent. ###### Content-Type: application/json - **`agentId` (required)** `string`, format: `uuid` — The id of the agent to link the MCP to. - **`createdAt` (required)** `string`, format: `date-time` - **`mcp` (required)** `object` - **`connectionId` (required)** `string | null`, format: `uuid` — The id of the connection the MCP will be used through. - **`createdAt` (required)** `string`, format: `date-time` - **`description` (required)** `string | null` — The internal description of the MCP. - **`detail` (required)** `object` - **`tools` (required)** `array` **Items:** `string` - **`type` (required)** `string`, possible values: `"composio-gmail", "composio-google-calendar", "composio-notion", "composio-airtable", "composio-bannerbear", "composio-browser-tool", "composio-browseai", "composio-calendly", "composio-google-maps", "composio-google-meet", "composio-google-sheets", "composio-google-tasks", "composio-github", "composio-hubspot", "composio-linear", "composio-linkedin", "composio-mixpanel", "composio-slack", "composio-shopify", "composio-teams", "composio-stripe", "composio-supabase", "composio-tavily", "composio-twitter"` - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`isRemoved` (required)** `boolean` - **`name` (required)** `string` — The display name of the MCP. - **`referenceId` (required)** `string | null`, format: `uuid` — A UUID v4 string that identifies an entity. - **`updatedAt` (required)** `string`, format: `date-time` - **`versionId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the MCP. - **`mcpId` (required)** `string`, format: `uuid` — The id of the MCP to link to the agent. - **`updatedAt` (required)** `string`, format: `date-time` **Example:** ```json { "createdAt": "", "updatedAt": "", "agentId": "", "mcpId": "", "mcp": { "createdAt": "", "id": "", "isRemoved": true, "referenceId": null, "updatedAt": "", "versionId": "", "connectionId": null, "description": null, "detail": { "tools": [ "" ], "type": "composio-gmail" }, "name": "", "workspaceId": "" } } ``` ##### Status: 400 Connection type is not compatible with MCP type. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 The agent, MCP, or connection was not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 412 MCP is already associated with this agent. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### POST /api/v1/agents/{agentId}/tools - **Method:** `POST` - **Path:** `/api/v1/agents/{agentId}/tools` - **Tags:** Agents Creates a new tool or attaches an existing one to an agent. #### Request Body ##### Content-Type: application/json **Any of:** - **`tool` (required)** `object` - **`description` (required)** `string` — The internal description of the tool. - **`detail` (required)** `object` - **`name` (required)** `string` — The display name of the tool. * **`toolId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. **Example:** ```json { "tool": { "description": "", "detail": { "allowedDomains": [ "" ], "effort": "low", "execution": "eligible", "llmProviderId": null, "parameters": null, "prompt": null, "type": "agentic-web-search" }, "name": "" } } ``` #### Responses ##### Status: 200 The tool was created or linked to the agent. ###### Content-Type: application/json - **`agentId` (required)** `string`, format: `uuid` — The id of the agent to link the tool to. - **`createdAt` (required)** `string`, format: `date-time` - **`tool` (required)** `object` - **`createdAt` (required)** `string`, format: `date-time` - **`description` (required)** `string` — The internal description of the tool. - **`detail` (required)** `object` - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`isRemoved` (required)** `boolean` - **`name` (required)** `string` — The display name of the tool. - **`referenceId` (required)** `string | null`, format: `uuid` — A UUID v4 string that identifies an entity. - **`updatedAt` (required)** `string`, format: `date-time` - **`versionId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the tool. - **`toolId` (required)** `string`, format: `uuid` — The id of the tool to link to the agent. - **`updatedAt` (required)** `string`, format: `date-time` **Example:** ```json { "createdAt": "", "updatedAt": "", "agentId": "", "toolId": "", "tool": { "createdAt": "", "id": "", "isRemoved": true, "referenceId": null, "updatedAt": "", "versionId": "", "description": "", "detail": { "allowedDomains": [ "" ], "effort": "low", "execution": "eligible", "llmProviderId": null, "parameters": null, "prompt": null, "type": "agentic-web-search" }, "name": "", "workspaceId": "" } } ``` ##### Status: 400 Invalid tool configuration. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 The agent or tool was not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### POST /api/v1/agents/{id}/execute - **Method:** `POST` - **Path:** `/api/v1/agents/{id}/execute` - **Tags:** Agents Executes an agent with provided messages. #### Request Body ##### Content-Type: application/json - **`messages` (required)** `array` **Items:** - **`attachments` (required)** `array` **Items:** **One of:** - **`base64` (required)** `string` — A base64 encoded string with prefix. - **`extension` (required)** `string`, possible values: `"png"` * **`base64` (required)** `string` — A base64 encoded string with prefix. * **`extension` (required)** `string`, possible values: `"pdf"` * **`name`** `string` - **`content` (required)** `string` - **`role` (required)** `object` - **`context`** `string` - **`output`** `object` — A JSON Schema definition object - **`properties` (required)** `object` - **`type` (required)** `string`, possible values: `"object"` - **`required`** `array` **Items:** `string` **Example:** ```json { "context": "", "messages": [ { "attachments": [ { "base64": "", "extension": "png" } ], "content": "", "role": "assistant" } ], "output": { "properties": { "additionalProperty": { "description": "", "enum": [], "examples": [], "nullable": true, "type": "string" } }, "required": [ "" ], "type": "object" } } ``` #### Responses ##### Status: 200 The agent was executed. ###### Content-Type: application/json - **`attachmentsUrls` (required)** `array` **Items:** `string` - **`content` (required)** `object` - **`execution` (required)** `object` - **`createdAt` (required)** `string`, format: `date-time` - **`creditsUsed` (required)** `number` — The total number of credits used by this execution. - **`detail` (required)** `object` — The execution detail containing type-specific information. - **`endedAt` (required)** `string | null`, format: `date-time` — When this execution ended. - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`isPurged` (required)** `boolean` — Whether this execution has been purged. - **`parentId` (required)** `string | null`, format: `uuid` — The parent execution ID of this execution. - **`responderId` (required)** `string` — The responder ID of this execution. - **`startedAt` (required)** `string`, format: `date-time` — When this execution started. - **`status` (required)** `string`, possible values: `"running", "completed", "failed"` — The status of the execution. - **`updatedAt` (required)** `string`, format: `date-time` - **`workspaceId` (required)** `string` — The workspace ID of this execution. **Example:** ```json { "attachmentsUrls": [ "" ], "content": "", "execution": { "createdAt": "", "id": "", "updatedAt": "", "creditsUsed": 0, "detail": { "input": { "additionalProperty": null }, "output": null, "agentId": "", "events": [ { "creditsUsed": 0, "endedAt": null, "id": "", "input": null, "label": "", "output": null, "startedAt": "", "status": "running", "llm": "", "llmProvider": { "id": null, "name": "" }, "type": "iteration" } ], "origin": { "apiKeyId": "", "type": "api" }, "type": "agent-execution" }, "endedAt": null, "isPurged": true, "parentId": null, "responderId": "", "startedAt": "", "status": "running", "workspaceId": "" } } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Agent not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### DELETE /api/v1/agents/{id} - **Method:** `DELETE` - **Path:** `/api/v1/agents/{id}` - **Tags:** Agents Removes an agent. #### Responses ##### Status: 200 The agent was removed. ###### Content-Type: application/json - **`message` (required)** `string` — An informative message for a call that has no effective result to be returned. **Example:** ```json { "message": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Agent not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 412 Precondition failed. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### GET /api/v1/agents/{id} - **Method:** `GET` - **Path:** `/api/v1/agents/{id}` - **Tags:** Agents Retrieves an agent. #### Responses ##### Status: 200 Retrieves an agent. ###### Content-Type: application/json - **`codeRuntime` (required)** `boolean` — Whether the agent should be able to execute JavaScript code using the Code Runtime tool. - **`createdAt` (required)** `string`, format: `date-time` - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`internalName` (required)** `string | null` — The internal name of the agent. For internal use only. - **`isRemoved` (required)** `boolean` - **`iterations` (required)** `number` — The number of iterations (steps) the agent can execute in a single execution. - **`llm` (required)** `string`, possible values: `"claude-haiku-4-5", "claude-opus-4-6", "claude-opus-4-5", "claude-sonnet-4-6", "claude-sonnet-4-5", "gpt-5.2", "gpt-5.4", "gemini-2.5-flash", "gemini-2.5-pro", "gemini-3-flash", "gemini-3-pro", "gemini-3.1-pro", "kimi-k2.5"` — The LLM model key to use for the agent. - **`llmProviderId` (required)** `string | null`, format: `uuid` — The id of the LLM provider to use for the agent. - **`name` (required)** `string` — The name of the agent. - **`picture` (required)** `string | null` — The picture of the agent. - **`planning` (required)** `boolean` — Whether the agent should plan before each execution. - **`prompt` (required)** `string` — The main description of the agent's behavior. - **`reasoningMode` (required)** `string | null`, possible values: `"low", "medium", "high", null` — The reasoning mode to use for the agent. If null, reasoning will be disabled. - **`referenceId` (required)** `string | null`, format: `uuid` — A UUID v4 string that identifies an entity. - **`role` (required)** `string` — The role of the agent. Particularly useful to give other agents context of what the agent does. - **`superIdentityId` (required)** `string`, format: `uuid` — The super identity ID associated with the agent. - **`temperature` (required)** `number` — The temperature to use for the agent. The lower the more deterministic. The higher the more creative. - **`timezone` (required)** `string | null`, possible values: `"Africa/Cairo", "Africa/Johannesburg", "America/Chicago", "America/Denver", "America/Los_Angeles", "America/New_York", "America/Sao_Paulo", "America/Manaus", "Asia/Dubai", "Asia/Kolkata", "Asia/Shanghai", "Asia/Singapore", "Asia/Tokyo", "Australia/Sydney", "Europe/Berlin", "Europe/London", "Europe/Moscow", "Europe/Paris", "Pacific/Auckland", "Pacific/Auckland2", "UTC", "auto", null` — The timezone to use for the agent. If null, no timezone will be used. - **`toolCount` (required)** `integer` — The number of tools currently associated with the agent. - **`updatedAt` (required)** `string`, format: `date-time` - **`versionId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`voiceId` (required)** `string | null`, format: `uuid` — The TTS voice to use for audio responses. Null when disabled for the agent. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the agent. **Example:** ```json { "createdAt": "", "id": "", "isRemoved": true, "referenceId": null, "updatedAt": "", "versionId": "", "codeRuntime": true, "internalName": null, "iterations": 2, "llm": "claude-haiku-4-5", "llmProviderId": null, "name": "", "picture": null, "planning": true, "prompt": "", "reasoningMode": "low", "role": "", "superIdentityId": "", "temperature": 0, "timezone": "Africa/Cairo", "toolCount": 0, "voiceId": null, "workspaceId": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Agent not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### PATCH /api/v1/agents/{id} - **Method:** `PATCH` - **Path:** `/api/v1/agents/{id}` - **Tags:** Agents Updates an agent. #### Request Body ##### Content-Type: application/json - **`codeRuntime`** `boolean` — Whether the agent should be able to execute JavaScript code using the Code Runtime tool. - **`internalName`** `string | null` — The internal name of the agent. For internal use only. - **`iterations`** `number` — The number of iterations (steps) the agent can execute in a single execution. - **`llm`** `string`, possible values: `"claude-haiku-4-5", "claude-opus-4-6", "claude-opus-4-5", "claude-sonnet-4-6", "claude-sonnet-4-5", "gpt-5.2", "gpt-5.4", "gemini-2.5-flash", "gemini-2.5-pro", "gemini-3-flash", "gemini-3-pro", "gemini-3.1-pro", "kimi-k2.5"` — The LLM model key to use for the agent. - **`llmProviderId`** `string | null`, format: `uuid` — The id of the LLM provider to use for the agent. - **`name`** `string` — The name of the agent. - **`picture`** `string | null` — The picture of the agent. - **`planning`** `boolean` — Whether the agent should plan before each execution. - **`prompt`** `string` — The main description of the agent's behavior. - **`reasoningMode`** `string | null`, possible values: `"low", "medium", "high", null` — The reasoning mode to use for the agent. If null, reasoning will be disabled. - **`role`** `string` — The role of the agent. Particularly useful to give other agents context of what the agent does. - **`superIdentityId`** `string`, format: `uuid` — The super identity ID associated with the agent. - **`temperature`** `number` — The temperature to use for the agent. The lower the more deterministic. The higher the more creative. - **`timezone`** `string | null`, possible values: `"Africa/Cairo", "Africa/Johannesburg", "America/Chicago", "America/Denver", "America/Los_Angeles", "America/New_York", "America/Sao_Paulo", "America/Manaus", "Asia/Dubai", "Asia/Kolkata", "Asia/Shanghai", "Asia/Singapore", "Asia/Tokyo", "Australia/Sydney", "Europe/Berlin", "Europe/London", "Europe/Moscow", "Europe/Paris", "Pacific/Auckland", "Pacific/Auckland2", "UTC", "auto", null` — The timezone to use for the agent. If null, no timezone will be used. - **`toolCount`** `integer` — The number of tools currently associated with the agent. - **`voiceId`** `string | null`, format: `uuid` — The TTS voice for audio responses. Null to disable. **Example:** ```json { "codeRuntime": true, "internalName": null, "iterations": 2, "llm": "claude-haiku-4-5", "llmProviderId": null, "name": "", "picture": null, "planning": true, "prompt": "", "reasoningMode": "low", "role": "", "superIdentityId": "", "temperature": 0, "timezone": "Africa/Cairo", "toolCount": 0, "voiceId": null } ``` #### Responses ##### Status: 200 The agent was updated. ###### Content-Type: application/json - **`codeRuntime` (required)** `boolean` — Whether the agent should be able to execute JavaScript code using the Code Runtime tool. - **`createdAt` (required)** `string`, format: `date-time` - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`internalName` (required)** `string | null` — The internal name of the agent. For internal use only. - **`isRemoved` (required)** `boolean` - **`iterations` (required)** `number` — The number of iterations (steps) the agent can execute in a single execution. - **`llm` (required)** `string`, possible values: `"claude-haiku-4-5", "claude-opus-4-6", "claude-opus-4-5", "claude-sonnet-4-6", "claude-sonnet-4-5", "gpt-5.2", "gpt-5.4", "gemini-2.5-flash", "gemini-2.5-pro", "gemini-3-flash", "gemini-3-pro", "gemini-3.1-pro", "kimi-k2.5"` — The LLM model key to use for the agent. - **`llmProviderId` (required)** `string | null`, format: `uuid` — The id of the LLM provider to use for the agent. - **`name` (required)** `string` — The name of the agent. - **`picture` (required)** `string | null` — The picture of the agent. - **`planning` (required)** `boolean` — Whether the agent should plan before each execution. - **`prompt` (required)** `string` — The main description of the agent's behavior. - **`reasoningMode` (required)** `string | null`, possible values: `"low", "medium", "high", null` — The reasoning mode to use for the agent. If null, reasoning will be disabled. - **`referenceId` (required)** `string | null`, format: `uuid` — A UUID v4 string that identifies an entity. - **`role` (required)** `string` — The role of the agent. Particularly useful to give other agents context of what the agent does. - **`superIdentityId` (required)** `string`, format: `uuid` — The super identity ID associated with the agent. - **`temperature` (required)** `number` — The temperature to use for the agent. The lower the more deterministic. The higher the more creative. - **`timezone` (required)** `string | null`, possible values: `"Africa/Cairo", "Africa/Johannesburg", "America/Chicago", "America/Denver", "America/Los_Angeles", "America/New_York", "America/Sao_Paulo", "America/Manaus", "Asia/Dubai", "Asia/Kolkata", "Asia/Shanghai", "Asia/Singapore", "Asia/Tokyo", "Australia/Sydney", "Europe/Berlin", "Europe/London", "Europe/Moscow", "Europe/Paris", "Pacific/Auckland", "Pacific/Auckland2", "UTC", "auto", null` — The timezone to use for the agent. If null, no timezone will be used. - **`toolCount` (required)** `integer` — The number of tools currently associated with the agent. - **`updatedAt` (required)** `string`, format: `date-time` - **`versionId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`voiceId` (required)** `string | null`, format: `uuid` — The TTS voice to use for audio responses. Null when disabled for the agent. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the agent. **Example:** ```json { "createdAt": "", "id": "", "isRemoved": true, "referenceId": null, "updatedAt": "", "versionId": "", "codeRuntime": true, "internalName": null, "iterations": 2, "llm": "claude-haiku-4-5", "llmProviderId": null, "name": "", "picture": null, "planning": true, "prompt": "", "reasoningMode": "low", "role": "", "superIdentityId": "", "temperature": 0, "timezone": "Africa/Cairo", "toolCount": 0, "voiceId": null, "workspaceId": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Agent not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### DELETE /api/v1/agents/{agentId}/mcps/{mcpId} - **Method:** `DELETE` - **Path:** `/api/v1/agents/{agentId}/mcps/{mcpId}` - **Tags:** Agents Detaches an MCP from an agent. #### Responses ##### Status: 200 The MCP was removed from the agent. ###### Content-Type: application/json - **`message` (required)** `string` — An informative message for a call that has no effective result to be returned. **Example:** ```json { "message": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Agent or MCP not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### DELETE /api/v1/agents/{agentId}/tools/{toolId} - **Method:** `DELETE` - **Path:** `/api/v1/agents/{agentId}/tools/{toolId}` - **Tags:** Agents Detaches a tool from an agent. #### Responses ##### Status: 200 The tool was removed from the agent. ###### Content-Type: application/json - **`message` (required)** `string` — An informative message for a call that has no effective result to be returned. **Example:** ```json { "message": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Agent or tool not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### GET /api/v1/analytics/periodic-responder-chat-message-volume - **Method:** `GET` - **Path:** `/api/v1/analytics/periodic-responder-chat-message-volume` - **Tags:** Analytics Retrieves periodic responder chat message volume analytics. #### Responses ##### Status: 200 Responder chat message volume analytics retrieved successfully. ###### Content-Type: application/json **Array of:** - **`channelId` (required)** `string` - **`channelName` (required)** `string` - **`channelType` (required)** `string`, possible values: `"api", "widget", "waha", "whatsapp", "instagram"` - **`count` (required)** `integer` - **`periodEnd` (required)** `string`, format: `date-time` - **`periodStart` (required)** `string`, format: `date-time` - **`responderEntity` (required)** `string`, possible values: `"agents", "squads"` - **`responderId` (required)** `string` - **`responderName` (required)** `string` - **`responderPicture` (required)** `string | null` **Example:** ```json [ { "channelId": "", "channelName": "", "channelType": "api", "count": 1, "periodEnd": "", "periodStart": "", "responderEntity": "agents", "responderId": "", "responderName": "", "responderPicture": null } ] ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### GET /api/v1/analytics/periodic-responder-credit-usage - **Method:** `GET` - **Path:** `/api/v1/analytics/periodic-responder-credit-usage` - **Tags:** Analytics Retrieves periodic responder credit usage analytics. #### Responses ##### Status: 200 Responder credit usage analytics retrieved successfully. ###### Content-Type: application/json **Array of:** - **`credits` (required)** `number` - **`periodEnd` (required)** `string`, format: `date-time` - **`periodStart` (required)** `string`, format: `date-time` - **`responderEntity` (required)** `string`, possible values: `"agents", "squads"` - **`responderId` (required)** `string` - **`responderName` (required)** `string` - **`responderPicture` (required)** `string | null` **Example:** ```json [ { "credits": 1, "periodEnd": "", "periodStart": "", "responderEntity": "agents", "responderId": "", "responderName": "", "responderPicture": null } ] ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### GET /api/v1/analytics/periodic-user-chat-message-average - **Method:** `GET` - **Path:** `/api/v1/analytics/periodic-user-chat-message-average` - **Tags:** Analytics Retrieves periodic user chat message average analytics. #### Responses ##### Status: 200 User chat message average analytics retrieved successfully. ###### Content-Type: application/json **Array of:** - **`average` (required)** `number` - **`channelId` (required)** `string` - **`channelName` (required)** `string` - **`channelType` (required)** `string`, possible values: `"api", "widget", "waha", "whatsapp", "instagram"` - **`periodEnd` (required)** `string`, format: `date-time` - **`periodStart` (required)** `string`, format: `date-time` - **`responderEntity` (required)** `string`, possible values: `"agents", "squads"` - **`responderId` (required)** `string` - **`responderName` (required)** `string` - **`responderPicture` (required)** `string | null` **Example:** ```json [ { "average": 1, "channelId": "", "channelName": "", "channelType": "api", "periodEnd": "", "periodStart": "", "responderEntity": "agents", "responderId": "", "responderName": "", "responderPicture": null } ] ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### GET /api/v1/analytics/periodic-user-interactivity - **Method:** `GET` - **Path:** `/api/v1/analytics/periodic-user-interactivity` - **Tags:** Analytics Retrieves periodic user interactivity analytics. #### Responses ##### Status: 200 User interactivity analytics retrieved successfully. ###### Content-Type: application/json **Array of:** - **`channelId` (required)** `string` - **`channelName` (required)** `string` - **`channelType` (required)** `string`, possible values: `"api", "widget", "waha", "whatsapp", "instagram"` - **`count` (required)** `integer` - **`periodEnd` (required)** `string`, format: `date-time` - **`periodStart` (required)** `string`, format: `date-time` **Example:** ```json [ { "channelId": "", "channelName": "", "channelType": "api", "count": 1, "periodEnd": "", "periodStart": "" } ] ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### POST /api/v1/channels - **Method:** `POST` - **Path:** `/api/v1/channels` - **Tags:** Channels Creates a new channel. #### Request Body ##### Content-Type: application/json - **`delay` (required)** `integer` — The delay between the last user message and the beginning of the response generation. - **`description` (required)** `string | null` — The internal description of the channel. - **`detail` (required)** `object` - **`maxAssistantMessagesPerChatOwner` (required)** `integer | null`, possible values: `10, 25, 50, 100, 250, 500, 1000, 2500, 5000, 10000, 25000, 50000, 100000, null, null` — Maximum assistant messages per chat owner. Null means unlimited. - **`name` (required)** `string` — The display name of the channel. - **`prompt` (required)** `string | null` — A prompt to be passed down to the agent in the context of this channel. - **`responderId` (required)** `string | null`, format: `uuid` — The super identity of the responder (agents or squads) of the channel - **`showSenderName` (required)** `boolean` — Whether to display sender names in chat messages. - **`status` (required)** `string`, possible values: `"active", "inactive"` — The lifecycle status of the channel. - **`useVoice` (required)** `string`, possible values: `"on-audio/without-transcription", "on-audio/with-transcription", "always/without-transcription", "always/with-transcription", "never"` — The voice behavior mode configured for the channel. **Example:** ```json { "delay": 1, "description": null, "detail": { "initialMessage": null, "responseWebhookUrl": "", "type": "api" }, "maxAssistantMessagesPerChatOwner": 10, "name": "", "prompt": null, "responderId": null, "showSenderName": true, "status": "active", "useVoice": "on-audio/without-transcription" } ``` #### Responses ##### Status: 200 The channel was created. ###### Content-Type: application/json - **`createdAt` (required)** `string`, format: `date-time` - **`delay` (required)** `integer` — The delay between the last user message and the beginning of the response generation. - **`description` (required)** `string | null` — The internal description of the channel. - **`detail` (required)** `object` - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`isRemoved` (required)** `boolean` - **`maxAssistantMessagesPerChatOwner` (required)** `integer | null`, possible values: `10, 25, 50, 100, 250, 500, 1000, 2500, 5000, 10000, 25000, 50000, 100000, null, null` — Maximum assistant messages per chat owner. Null means unlimited. - **`name` (required)** `string` — The display name of the channel. - **`prompt` (required)** `string | null` — A prompt to be passed down to the agent in the context of this channel. - **`responderId` (required)** `string | null`, format: `uuid` — The super identity of the responder (agents or squads) of the channel - **`showSenderName` (required)** `boolean` — Whether to display sender names in chat messages. - **`status` (required)** `string`, possible values: `"active", "inactive"` — The lifecycle status of the channel. - **`updatedAt` (required)** `string`, format: `date-time` - **`useVoice` (required)** `string`, possible values: `"on-audio/without-transcription", "on-audio/with-transcription", "always/without-transcription", "always/with-transcription", "never"` — The voice behavior mode configured for the channel. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the channel. **Example:** ```json { "createdAt": "", "id": "", "isRemoved": true, "updatedAt": "", "delay": 1, "description": null, "detail": { "initialMessage": null, "responseWebhookUrl": "", "type": "api" }, "maxAssistantMessagesPerChatOwner": 10, "name": "", "prompt": null, "responderId": null, "showSenderName": true, "status": "active", "useVoice": "on-audio/without-transcription", "workspaceId": "" } ``` ##### Status: 400 Invalid channel configuration. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 403 Plan limit exceeded. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Resource not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 409 A channel for this connection already exists. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### GET /api/v1/channels - **Method:** `GET` - **Path:** `/api/v1/channels` - **Tags:** Channels Retrieves multiple channels. #### Responses ##### Status: 200 Retrieves all channels for the workspace. ###### Content-Type: application/json **Array of:** - **`createdAt` (required)** `string`, format: `date-time` - **`delay` (required)** `integer` — The delay between the last user message and the beginning of the response generation. - **`description` (required)** `string | null` — The internal description of the channel. - **`detail` (required)** `object` - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`isRemoved` (required)** `boolean` - **`maxAssistantMessagesPerChatOwner` (required)** `integer | null`, possible values: `10, 25, 50, 100, 250, 500, 1000, 2500, 5000, 10000, 25000, 50000, 100000, null, null` — Maximum assistant messages per chat owner. Null means unlimited. - **`name` (required)** `string` — The display name of the channel. - **`prompt` (required)** `string | null` — A prompt to be passed down to the agent in the context of this channel. - **`responderId` (required)** `string | null`, format: `uuid` — The super identity of the responder (agents or squads) of the channel - **`showSenderName` (required)** `boolean` — Whether to display sender names in chat messages. - **`status` (required)** `string`, possible values: `"active", "inactive"` — The lifecycle status of the channel. - **`updatedAt` (required)** `string`, format: `date-time` - **`useVoice` (required)** `string`, possible values: `"on-audio/without-transcription", "on-audio/with-transcription", "always/without-transcription", "always/with-transcription", "never"` — The voice behavior mode configured for the channel. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the channel. **Example:** ```json [ { "createdAt": "", "id": "", "isRemoved": true, "updatedAt": "", "delay": 1, "description": null, "detail": { "initialMessage": null, "responseWebhookUrl": "", "type": "api" }, "maxAssistantMessagesPerChatOwner": 10, "name": "", "prompt": null, "responderId": null, "showSenderName": true, "status": "active", "useVoice": "on-audio/without-transcription", "workspaceId": "" } ] ``` ##### Status: 400 Bad Request. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### DELETE /api/v1/channels/{id} - **Method:** `DELETE` - **Path:** `/api/v1/channels/{id}` - **Tags:** Channels Removes a channel. #### Responses ##### Status: 200 The channel was removed. ###### Content-Type: application/json - **`message` (required)** `string` — An informative message for a call that has no effective result to be returned. **Example:** ```json { "message": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Channel not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### GET /api/v1/channels/{id} - **Method:** `GET` - **Path:** `/api/v1/channels/{id}` - **Tags:** Channels Retrieves a channel. #### Responses ##### Status: 200 Retrieves a channel. ###### Content-Type: application/json - **`createdAt` (required)** `string`, format: `date-time` - **`delay` (required)** `integer` — The delay between the last user message and the beginning of the response generation. - **`description` (required)** `string | null` — The internal description of the channel. - **`detail` (required)** `object` - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`isRemoved` (required)** `boolean` - **`maxAssistantMessagesPerChatOwner` (required)** `integer | null`, possible values: `10, 25, 50, 100, 250, 500, 1000, 2500, 5000, 10000, 25000, 50000, 100000, null, null` — Maximum assistant messages per chat owner. Null means unlimited. - **`name` (required)** `string` — The display name of the channel. - **`prompt` (required)** `string | null` — A prompt to be passed down to the agent in the context of this channel. - **`responderId` (required)** `string | null`, format: `uuid` — The super identity of the responder (agents or squads) of the channel - **`showSenderName` (required)** `boolean` — Whether to display sender names in chat messages. - **`status` (required)** `string`, possible values: `"active", "inactive"` — The lifecycle status of the channel. - **`updatedAt` (required)** `string`, format: `date-time` - **`useVoice` (required)** `string`, possible values: `"on-audio/without-transcription", "on-audio/with-transcription", "always/without-transcription", "always/with-transcription", "never"` — The voice behavior mode configured for the channel. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the channel. **Example:** ```json { "createdAt": "", "id": "", "isRemoved": true, "updatedAt": "", "delay": 1, "description": null, "detail": { "initialMessage": null, "responseWebhookUrl": "", "type": "api" }, "maxAssistantMessagesPerChatOwner": 10, "name": "", "prompt": null, "responderId": null, "showSenderName": true, "status": "active", "useVoice": "on-audio/without-transcription", "workspaceId": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Channel not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### PATCH /api/v1/channels/{id} - **Method:** `PATCH` - **Path:** `/api/v1/channels/{id}` - **Tags:** Channels Updates a channel. #### Request Body ##### Content-Type: application/json - **`delay`** `integer` — The delay between the last user message and the beginning of the response generation. - **`description`** `string | null` — The internal description of the channel. - **`detail`** `object` - **`maxAssistantMessagesPerChatOwner`** `integer | null`, possible values: `10, 25, 50, 100, 250, 500, 1000, 2500, 5000, 10000, 25000, 50000, 100000, null, null` — Maximum assistant messages per chat owner. Null means unlimited. - **`name`** `string` — The display name of the channel. - **`prompt`** `string | null` — A prompt to be passed down to the agent in the context of this channel. - **`responderId`** `string | null`, format: `uuid` — The super identity of the responder (agents or squads) of the channel - **`showSenderName`** `boolean` — Whether to display sender names in chat messages. - **`status`** `string`, possible values: `"active", "inactive"` — The lifecycle status of the channel. - **`useVoice`** `string`, possible values: `"on-audio/without-transcription", "on-audio/with-transcription", "always/without-transcription", "always/with-transcription", "never"` — The voice behavior mode configured for the channel. **Example:** ```json { "delay": 1, "description": null, "detail": { "initialMessage": null, "responseWebhookUrl": "", "type": "api" }, "maxAssistantMessagesPerChatOwner": 10, "name": "", "prompt": null, "responderId": null, "showSenderName": true, "status": "active", "useVoice": "on-audio/without-transcription" } ``` #### Responses ##### Status: 200 The channel was updated. ###### Content-Type: application/json - **`createdAt` (required)** `string`, format: `date-time` - **`delay` (required)** `integer` — The delay between the last user message and the beginning of the response generation. - **`description` (required)** `string | null` — The internal description of the channel. - **`detail` (required)** `object` - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`isRemoved` (required)** `boolean` - **`maxAssistantMessagesPerChatOwner` (required)** `integer | null`, possible values: `10, 25, 50, 100, 250, 500, 1000, 2500, 5000, 10000, 25000, 50000, 100000, null, null` — Maximum assistant messages per chat owner. Null means unlimited. - **`name` (required)** `string` — The display name of the channel. - **`prompt` (required)** `string | null` — A prompt to be passed down to the agent in the context of this channel. - **`responderId` (required)** `string | null`, format: `uuid` — The super identity of the responder (agents or squads) of the channel - **`showSenderName` (required)** `boolean` — Whether to display sender names in chat messages. - **`status` (required)** `string`, possible values: `"active", "inactive"` — The lifecycle status of the channel. - **`updatedAt` (required)** `string`, format: `date-time` - **`useVoice` (required)** `string`, possible values: `"on-audio/without-transcription", "on-audio/with-transcription", "always/without-transcription", "always/with-transcription", "never"` — The voice behavior mode configured for the channel. - **`workspaceId` (required)** `string`, format: `uuid` — The workspace ID that owns the channel. **Example:** ```json { "createdAt": "", "id": "", "isRemoved": true, "updatedAt": "", "delay": 1, "description": null, "detail": { "initialMessage": null, "responseWebhookUrl": "", "type": "api" }, "maxAssistantMessagesPerChatOwner": 10, "name": "", "prompt": null, "responderId": null, "showSenderName": true, "status": "active", "useVoice": "on-audio/without-transcription", "workspaceId": "" } ``` ##### Status: 400 Invalid data provided. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Channel not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### POST /api/v1/chat-message-follow-ups - **Method:** `POST` - **Path:** `/api/v1/chat-message-follow-ups` - **Tags:** Chat Message Follow-Ups Creates a chat message follow-up. #### Request Body ##### Content-Type: application/json - **`chatId` (required)** `string`, format: `uuid` — The id of the chat this follow-up belongs to. - **`dueDate` (required)** `string`, format: `date-time` — The date and time when the follow-up message should be sent. - **`message` (required)** `string` — The follow-up message content. **Example:** ```json { "chatId": "", "dueDate": "", "message": "" } ``` #### Responses ##### Status: 201 The chat message follow-up was created. ###### Content-Type: application/json - **`chatId` (required)** `string`, format: `uuid` — The id of the chat this follow-up belongs to. - **`chatMessageId` (required)** `string | null`, format: `uuid` — The id of the chat message this follow-up belongs to. - **`createdAt` (required)** `string`, format: `date-time` - **`dueDate` (required)** `string`, format: `date-time` — The date and time when the follow-up message should be sent. - **`finishedAt` (required)** `string | null`, format: `date-time` — The date and time when the follow-up went from pending to any other status. - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`message` (required)** `string` — The follow-up message content. - **`reason` (required)** `string | null` — The reason why the follow-up failed. - **`status` (required)** `string`, possible values: `"pending", "sent", "failed", "cancelled"` — The current status of the follow-up. - **`triggerChatMessageId` (required)** `string`, format: `uuid` — The id of the chat message that triggered the follow-up. - **`updatedAt` (required)** `string`, format: `date-time` **Example:** ```json { "createdAt": "", "id": "", "updatedAt": "", "chatId": "", "chatMessageId": null, "dueDate": "", "finishedAt": null, "message": "", "reason": null, "status": "pending", "triggerChatMessageId": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 The chat was not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 412 The chat has no messages or the last message is from the user. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### GET /api/v1/chat-message-follow-ups - **Method:** `GET` - **Path:** `/api/v1/chat-message-follow-ups` - **Tags:** Chat Message Follow-Ups Retrieves multiple chat message follow-ups. #### Responses ##### Status: 200 Retrieves all chat message follow-ups for the specified filters. ###### Content-Type: application/json **Array of:** - **`chatId` (required)** `string`, format: `uuid` — The id of the chat this follow-up belongs to. - **`chatMessageId` (required)** `string | null`, format: `uuid` — The id of the chat message this follow-up belongs to. - **`createdAt` (required)** `string`, format: `date-time` - **`dueDate` (required)** `string`, format: `date-time` — The date and time when the follow-up message should be sent. - **`finishedAt` (required)** `string | null`, format: `date-time` — The date and time when the follow-up went from pending to any other status. - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`message` (required)** `string` — The follow-up message content. - **`reason` (required)** `string | null` — The reason why the follow-up failed. - **`status` (required)** `string`, possible values: `"pending", "sent", "failed", "cancelled"` — The current status of the follow-up. - **`triggerChatMessageId` (required)** `string`, format: `uuid` — The id of the chat message that triggered the follow-up. - **`updatedAt` (required)** `string`, format: `date-time` **Example:** ```json [ { "createdAt": "", "id": "", "updatedAt": "", "chatId": "", "chatMessageId": null, "dueDate": "", "finishedAt": null, "message": "", "reason": null, "status": "pending", "triggerChatMessageId": "" } ] ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### PATCH /api/v1/chat-message-follow-ups/{id} - **Method:** `PATCH` - **Path:** `/api/v1/chat-message-follow-ups/{id}` - **Tags:** Chat Message Follow-Ups Updates a chat message follow-up. #### Request Body ##### Content-Type: application/json - **`chatId`** `string`, format: `uuid` — The id of the chat this follow-up belongs to. - **`chatMessageId`** `string | null`, format: `uuid` — The id of the chat message this follow-up belongs to. - **`dueDate`** `string`, format: `date-time` — The date and time when the follow-up message should be sent. - **`finishedAt`** `string | null`, format: `date-time` — The date and time when the follow-up went from pending to any other status. - **`message`** `string` — The follow-up message content. - **`reason`** `string | null` — The reason why the follow-up failed. - **`status`** `string`, possible values: `"cancelled"` - **`triggerChatMessageId`** `string`, format: `uuid` — The id of the chat message that triggered the follow-up. **Example:** ```json { "chatId": "", "chatMessageId": null, "dueDate": "", "finishedAt": null, "message": "", "reason": null, "status": "cancelled", "triggerChatMessageId": "" } ``` #### Responses ##### Status: 200 The chat message follow-up was updated. ###### Content-Type: application/json - **`chatId` (required)** `string`, format: `uuid` — The id of the chat this follow-up belongs to. - **`chatMessageId` (required)** `string | null`, format: `uuid` — The id of the chat message this follow-up belongs to. - **`createdAt` (required)** `string`, format: `date-time` - **`dueDate` (required)** `string`, format: `date-time` — The date and time when the follow-up message should be sent. - **`finishedAt` (required)** `string | null`, format: `date-time` — The date and time when the follow-up went from pending to any other status. - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`message` (required)** `string` — The follow-up message content. - **`reason` (required)** `string | null` — The reason why the follow-up failed. - **`status` (required)** `string`, possible values: `"pending", "sent", "failed", "cancelled"` — The current status of the follow-up. - **`triggerChatMessageId` (required)** `string`, format: `uuid` — The id of the chat message that triggered the follow-up. - **`updatedAt` (required)** `string`, format: `date-time` **Example:** ```json { "createdAt": "", "id": "", "updatedAt": "", "chatId": "", "chatMessageId": null, "dueDate": "", "finishedAt": null, "message": "", "reason": null, "status": "pending", "triggerChatMessageId": "" } ``` ##### Status: 401 Unauthorized. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 The chat message follow-up was not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 412 Only pending follow-ups can be updated. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### POST /api/v1/chat-messages - **Method:** `POST` - **Path:** `/api/v1/chat-messages` - **Tags:** Chat Messages Creates a new chat message. #### Request Body ##### Content-Type: application/json - **`chatId` (required)** `string`, format: `uuid` — The chat ID associated with the message. - **`chatThreadId` (required)** `string | null`, format: `uuid` — The id of the chat thread that the message belongs to. - **`content` (required)** `string` - **`detail` (required)** `object` — The structured detail payload submitted when creating the chat message. - **`attachments` (required)** `array` — The attachments submitted when creating the chat message. **Items:** **Any of:** - **`extension` (required)** `string`, possible values: `"png"` — The attachment subtype represented by this payload. - **`file` (required)** `string` — The file identifier or path. - **`name` (required)** `string` — The display name of the PNG file. * **`extension` (required)** `string`, possible values: `"pdf"` — The attachment subtype represented by this payload. * **`file` (required)** `string` — The file identifier or path. * **`name` (required)** `string` — The display name of the PDF file. - **`extension` (required)** `string`, possible values: `"wav"` — The attachment subtype represented by this payload. - **`file` (required)** `string` — The file identifier or path. - **`mode` (required)** `string`, possible values: `"attachment", "message"` — The mode of the audio attachment. "attachment" sends it as an attachment and "message" sends it as the main message. - **`externalId` (required)** `string | null` — The provider-side identifier associated with the message, when one exists. - **`role` (required)** `string`, possible values: `"user", "support"` — The role allowed when creating the chat message. - **`senderId` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. **Example:** ```json { "chatId": "", "chatThreadId": null, "content": "", "externalId": null, "senderId": "", "detail": { "attachments": [ { "file": "", "extension": "png", "name": "" } ] }, "role": "user" } ``` #### Responses ##### Status: 200 The chat message was created. ###### Content-Type: application/json - **`chatId` (required)** `string`, format: `uuid` — The chat ID associated with the message. - **`chatThreadId` (required)** `string | null`, format: `uuid` — The id of the chat thread that the message belongs to. - **`content` (required)** `string` — The content of the message. - **`createdAt` (required)** `string`, format: `date-time` - **`detail` (required)** `object` — The structured detail payload associated with the message. - **`attachments` (required)** `array` — The attachments associated with the chat message. **Items:** **Any of:** - **`description` (required)** `string` — The description of the PNG image. - **`extension` (required)** `string`, possible values: `"png"` — The attachment subtype represented by this payload. - **`file` (required)** `string` — The file identifier or path. - **`id` (required)** `string`, format: `uuid` — The attachment ID associated with this payload. - **`name` (required)** `string` — The display name of the PNG file. * **`description` (required)** `string` — The description of the PDF file. * **`extension` (required)** `string`, possible values: `"pdf"` — The attachment subtype represented by this payload. * **`file` (required)** `string` — The file identifier or path. * **`id` (required)** `string`, format: `uuid` — The attachment ID associated with this payload. * **`name` (required)** `string` — The display name of the PDF file. - **`extension` (required)** `string`, possible values: `"wav"` — The attachment subtype represented by this payload. - **`file` (required)** `string` — The file identifier or path. - **`id` (required)** `string`, format: `uuid` — The attachment ID associated with this payload. - **`mode` (required)** `string`, possible values: `"attachment", "message"` — The mode of the audio attachment. "attachment" sends it as an attachment and "message" sends it as the main message. - **`summary` (required)** `string` — The summary of the audio file. - **`transcription` (required)** `string` — The transcription of the audio file. - **`delivery`** `array`, default: `[]` — The delivery status for external channel messages. **Items:** **One of:** - **`content` (required)** `object` — The content payload delivered through the external provider. - **`externalId` (required)** `string` — The external delivery identifier returned by the provider. - **`provider` (required)** `string`, possible values: `"waha", "whatsapp", "instagram"` — The external provider that received the delivery payload. - **`status` (required)** `string`, possible values: `"sent"` — The delivery status represented by this payload. - **`timestamp` (required)** `string`, format: `date-time` — When the delivery payload was recorded. * **`content` (required)** `object` — The content payload delivered through the external provider. * **`provider` (required)** `string`, possible values: `"waha", "whatsapp", "instagram"` — The external provider that received the delivery payload. * **`status` (required)** `string`, possible values: `"failed"` — The delivery status represented by this payload. * **`timestamp` (required)** `string`, format: `date-time` — When the delivery payload was recorded. * **`error`** `object` — The error payload returned when the delivery failed. - **`externalId` (required)** `string | null` — The provider-side identifier associated with the message, when one exists. - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`rawContent` (required)** `string | null` — The raw content of the message as it was generated by the assistant. - **`role` (required)** `string`, possible values: `"user", "assistant", "support", "system"` — The role of the actor that produced the message. - **`senderId` (required)** `string | null`, format: `uuid` — The super identity of the sender (agents, squads, users or external users) of the message. - **`updatedAt` (required)** `string`, format: `date-time` **Example:** ```json { "createdAt": "", "id": "", "updatedAt": "", "chatId": "", "chatThreadId": null, "content": "", "detail": { "attachments": [ { "file": "", "id": "", "description": "", "extension": "png", "name": "" } ], "delivery": [] }, "externalId": null, "rawContent": null, "role": "user", "senderId": null } ``` ##### Status: 400 Invalid data provided. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 403 You are not authorized to create the chat message. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ##### Status: 404 Chat not found. ###### Content-Type: application/json - **`feedback` (required)** `object` — The error feedback. - **`enUs`** `string` - **`ptBr`** `string` - **`message` (required)** `string` — The error message. - **`name` (required)** `string` — The error name. - **`code`** `string` — The error code. - **`cta`** `object` — The error call-to-action. - **`type` (required)** `string`, possible values: `"support-contact"` - **`url` (required)** `string`, format: `uri` **Example:** ```json { "code": "", "cta": { "type": "support-contact", "url": "" }, "feedback": { "enUs": "", "ptBr": "" }, "message": "", "name": "" } ``` ### GET /api/v1/chat-messages - **Method:** `GET` - **Path:** `/api/v1/chat-messages` - **Tags:** Chat Messages Retrieves multiple chat messages. #### Responses ##### Status: 200 Retrieves all chat messages for the specified chat. ###### Content-Type: application/json **Any of:** **Array of:** - **`chatId` (required)** `string`, format: `uuid` — The chat ID associated with the message. - **`chatMessageFollowUp` (required)** `object | null` - **`chatId` (required)** `string`, format: `uuid` — The id of the chat this follow-up belongs to. - **`chatMessageId` (required)** `string | null`, format: `uuid` — The id of the chat message this follow-up belongs to. - **`createdAt` (required)** `string`, format: `date-time` - **`dueDate` (required)** `string`, format: `date-time` — The date and time when the follow-up message should be sent. - **`finishedAt` (required)** `string | null`, format: `date-time` — The date and time when the follow-up went from pending to any other status. - **`id` (required)** `string`, format: `uuid` — A UUID v4 string that identifies an entity. - **`message` (required)** `string` — The follow-up message content. - **`reason` (required)** `string | null` — The reason why the follow-up failed. - **`status` (required)** `string`, possible values: `"pending", "sent", "failed", "cancelled"` — The current status of the follow-up. - **`triggerChatMessageId` (required)** `string`, format: `uuid` — The id of the chat message that triggered the follow-up. - **`updatedAt` (required)** `string`, format: `date-time` - **`chatThreadId` (required)** `string | null`, format: `uuid` — The id of the chat thread that the message belongs to. - **`content` (required)** `string` — The content of the message. - **`createdAt` (required)** `string`, format: `date-time` - **`detail` (required)** `object` — The structured detail payload associated with the message. - **`attachments` (required)** `array` — The attachments associated with the chat message. **Items:** **Any of:** - **`description` (required)** `string` — The description of the PNG image. - **`extension` (required)** `string`, possible values: `"png"` — The attachment subtype rep
[...]
